Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fonts
Class SimpleFontExtensionsRegistryFactory

    java.lang.Object
      net.sf.jasperreports.engine.fonts.SimpleFontExtensionsRegistryFactory

All Implemented Interfaces:
  ExtensionsRegistryFactory

    public class SimpleFontExtensionsRegistryFactory

extends java.lang.Object
implements ExtensionsRegistryFactory

Version:
  $Id: XmlChartThemeExtensionsRegistryFactory.java 3030 2009-08-27 11:12:48Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `PROPERTY_SIMPLE_FONT_FAMILIES_REGISTRY_FACTORY`
`static java.lang.String` | `SIMPLE_FONT_FAMILIES_PROPERTY_PREFIX`

Constructor Summary
`SimpleFontExtensionsRegistryFactory()`

Method Summary
`ExtensionsRegistry` | `createRegistry(java.lang.String registryId, JRPropertiesMap properties)` Instantiates an extensions registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIMPLE_FONT_FAMILIES_PROPERTY_PREFIX

    public static final java.lang.String SIMPLE_FONT_FAMILIES_PROPERTY_PREFIX

See Also:
  Constant Field Values

### PROPERTY_SIMPLE_FONT_FAMILIES_REGISTRY_FACTORY

    public static final java.lang.String PROPERTY_SIMPLE_FONT_FAMILIES_REGISTRY_FACTORY

See Also:
  Constant Field Values

Constructor Detail

### SimpleFontExtensionsRegistryFactory

    public SimpleFontExtensionsRegistryFactory()

Method Detail

### createRegistry

    public ExtensionsRegistry createRegistry(java.lang.String registryId,
                                             JRPropertiesMap properties)

  Description copied from interface: `ExtensionsRegistryFactory`
  Instantiates an extensions registry.

  Specified by:
    `createRegistry` in interface `ExtensionsRegistryFactory`
  Parameters:
    `registryId` - the ID of the registry to instantiate. The ID can be used to identify a set of properties to be used when instantiating the registry.
    `properties` - the map of properties that can be used to configure the registry instantiation process
  Returns:
    an extensions registry
  See Also:
    `DefaultExtensionsRegistry.PROPERTY_REGISTRY_PREFIX`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com